package com.example.kafka.service;

import com.example.kafka.entity.Order;
import com.fasterxml.jackson.core.JsonProcessingException;
import reactor.core.publisher.Mono;

/**
 * Order service
 */
public interface OrderService {

    Mono<Order> saveOrderIntoDB(Order order) throws JsonProcessingException;

    void validateOrder(String order);
}
